### Method

# ECal Component set_attachments

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_attachments (
      ECalComponent* comp,
      const GSList* attachments
    )

#### Description [src]

Sets the attachments of the calendar component object.

Available since: 3.34

#### Parameters

`attachments`

  Type: A list of `ICalAttach*`

  A `GSList` of an `ICalAttach`, or `NULL` to remove any existing.

  The argument can be `NULL`.
  The data is owned by the caller of the method.